Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.util
Class ClassUtils

    java.lang.Object
      net.sf.joyaop.util.ClassUtils

    public abstract class ClassUtils

extends java.lang.Object

Author:
  Shen Li

Constructor Summary
`ClassUtils()`

Method Summary
`static java.lang.ClassLoader` | `getClassLoader()`
`static net.sf.cglib.reflect.FastClass` | `getFastClass(java.lang.Class clazz)`
`static net.sf.cglib.reflect.FastMethod` | `getFastMethod(java.lang.Class clazz, java.lang.reflect.Method method)`
`static net.sf.cglib.proxy.Factory` | `getProxyFactory(java.lang.Class originalClass)`
`static java.lang.Object` | `invokeFastMethod(net.sf.cglib.reflect.FastMethod fastMethod, java.lang.Object target, java.lang.Object[] args)`
`static java.lang.Class` | `loadClass(java.lang.String name)`
`static java.lang.Object` | `newInstance(java.lang.Class clazz)`
`static java.lang.Object` | `newInstance(java.lang.Class clazz, java.lang.Class[] argumentTypes, java.lang.Object[] arguments)`
`static void` | `putProxyFactory(java.lang.Class originalClass, net.sf.cglib.proxy.Factory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassUtils

    public ClassUtils()

Method Detail

### newInstance

    public static java.lang.Object newInstance(java.lang.Class clazz)

### newInstance

    public static java.lang.Object newInstance(java.lang.Class clazz,
                                               java.lang.Class[] argumentTypes,
                                               java.lang.Object[] arguments)

### loadClass

    public static java.lang.Class loadClass(java.lang.String name)

### getFastClass

    public static net.sf.cglib.reflect.FastClass getFastClass(java.lang.Class clazz)

### getFastMethod

    public static net.sf.cglib.reflect.FastMethod getFastMethod(java.lang.Class clazz,
                                                                java.lang.reflect.Method method)

### invokeFastMethod

    public static java.lang.Object invokeFastMethod(net.sf.cglib.reflect.FastMethod fastMethod,
                                                    java.lang.Object target,
                                                    java.lang.Object[] args)
                                             throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getClassLoader

    public static java.lang.ClassLoader getClassLoader()

### putProxyFactory

    public static void putProxyFactory(java.lang.Class originalClass,
                                       net.sf.cglib.proxy.Factory factory)

### getProxyFactory

    public static net.sf.cglib.proxy.Factory getProxyFactory(java.lang.Class originalClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD